Subject: [MIB-DOCTORS] RE: draft-ietf-sip-mib-11.txt - naming conventions

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 5 Aug 2006 01:24:21 +0200

All,

You may recall that in my recent review of your MIB document I mentioned
several times my concern about naming-consistency and sugegsted
various changes to try and avoid possible future name clashes.

Today I was working on some other stuff, and I ran into RFC1694, which has
a MIB module that is named

          SIP-MIB DEFINITIONS ::= BEGIN

          IMPORTS
             MODULE-IDENTITY, OBJECT-TYPE, Counter32,
             Integer32, IpAddress                     FROM SNMPv2-SMI
             TimeStamp, TEXTUAL-CONVENTION            FROM SNMPv2-TC
             MODULE-COMPLIANCE, OBJECT-GROUP          FROM SNMPv2-CONF
             transmission, ifIndex, mib-2             FROM RFC1213-MIB;

          --  This is the MIB module for the SMDS Interface objects.

          sipMIB MODULE-IDENTITY
              LAST-UPDATED "9403311818Z"
              ORGANIZATION "IETF Interfaces Working Group"
              CONTACT-INFO
                "        Tracy Brown
                 Postal: Bell Communications Research
                         331 Newman Springs Road
                         P.O. Box 7020
                         Red Bank, NJ  07701-7020
                         US

                    Tel: +1 908  758-2107
                    Fax: +1 908  758-4177
                 E-mail: [email-masked]

                         Kaj Tesink
                 Postal: Bell Communications Research
                         331 Newman Springs Road
                         P.O. Box 7020
                         Red Bank, NJ  07701-7020
                         US

                    Tel: +1 908 758 5254
                    Fax: +1 908 758 4177
                 E-mail: [email-masked]."
              DESCRIPTION
                   "The MIB module to describe
                   SMDS interfaces objects."
              ::= { mib-2 36 }

As you can imagine, they have a lot of names/descriptors that also start with "sip".

So making sure that all YOUR objectnames/descriptors are properly prefixed
with the module names, i.e.

   sipCommon
   sipServer
   sipUA

seems pretty important to me.
For the TCs, maybe you can also think of a way to avoid future name clashes.

Just though I'd let you know.
Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors